Bug 820168 - Can add cartridge to jenkins server via both rhc client and website.
Can add cartridge to jenkins server via both rhc client and website.
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-09 06:19 EDT by yquan
Modified: 2015-05-14 21:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:59:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yquan 2012-05-09 06:19:02 EDT
Description of problem:
The cartridge can be added to the jenkins server via both rhc client and website.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in the openshift website.
2.Create a jenkins server.
3.Go to the URL "https://[$OpenshiftHost]/app/console/applications/[$Jenkins Server Name]/cartridge_types/[Cartridge name]"
4.click add
[rhc client]
1.rhc app cartridge add -a [$Jenkins server name] -c [Cartridge name]
Actual results:
The cartridge can be added to the jenkins server.

Expected results:
The cartridge can't be added to the jenkins server.

Additional info:
Comment 1 Xiaoli Tian 2012-05-09 08:13:48 EDT
Since can not add cartridge to jenkins from web directly from the "Add button" for it , lower the severity,.
Comment 2 Dan McPherson 2012-05-09 10:30:44 EDT
Sorry what don't we want to be able to add to jenkins?  Afaik nothing should be restricted there.
Comment 3 Clayton Coleman 2012-05-09 13:16:22 EDT
Why would we allow cartridges to be added to jenkins?
Comment 4 Rob Millner 2012-05-09 13:38:00 EDT
More special cases jenkins in the broker vs. allowing someone to add mysql to the jenkins cartridge even if they don't need it.  I'd vote allowing it and not having the additional special cases.
Comment 5 Clayton Coleman 2012-05-25 18:05:28 EDT
I removed the restriction.
Comment 6 Yujie Zhang 2012-05-28 06:00:10 EDT
Since the restriction has been removed, tested this issue on devenv_1806, we can add cartridges on jenkins server, so verify this bug.

Note You need to log in before you can comment on or make changes to this bug.